---
lang: en
title: 'API docs: authentication-jwt.usercredentials._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.usercredentials._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [UserCredentials](./authentication-jwt.usercredentials.md) &gt; [(constructor)](./authentication-jwt.usercredentials._constructor_.md)

## UserCredentials.(constructor)

Constructs a new instance of the `UserCredentials` class

<b>Signature:</b>

```typescript
constructor(data?: Partial<UserCredentials>);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  data | Partial&lt;[UserCredentials](./authentication-jwt.usercredentials.md)<!-- -->&gt; |  |


